mac80211: make ath10k firmware v2 selectable
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Fri, 24 Jul 2015 08:58:07 +0000 (08:58 +0000)
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Fri, 24 Jul 2015 08:58:07 +0000 (08:58 +0000)
Added option for old firmware version (10.1 API v2). It seems that recent
firmware versions are constantly crashing (at least on a QCA9880-BR4A-R) and
this provides the option to select an older version instead.

Backport of r46340

Signed-off-by: G√ľnther Kelleter <guenther.kelleter@devolo.de>
git-svn-id: svn://svn.openwrt.org/openwrt/branches/chaos_calmer@46443 3c298f89-4303-0410-b956-a3cf2f4a3e73

package/kernel/mac80211/Makefile

index 2af5d39..1f15b40 100644 (file)
@@ -631,6 +631,14 @@ define KernelPackage/ath10k/config
                  Use the ath10k firmware optimized for wireless client instead
                  of access point operation.
 
+       config ATH10K_API2_FW
+               bool "Firmware optimized for AP operation (v10.1 / API v2)"
+               default n
+               depends on !ATH10K_STA_FW
+               help
+                 Use the ath10k firmware from the 10.1 SDK using API v2 optimized
+                 for access point operation if the default firmware keeps crashing.
+
   endif
 endef
 
@@ -1862,6 +1870,10 @@ ifeq ($(CONFIG_ATH10K_STA_FW),y)
        $(INSTALL_DATA) \
                $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/main/firmware-2.bin_999.999.0.636 \
                $(1)/lib/firmware/ath10k/QCA988X/hw2.0/firmware-2.bin
+else ifeq ($(CONFIG_ATH10K_API2_FW),y)
+       $(INSTALL_DATA) \
+               $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/10.1/firmware-2.bin_10.1.467.2-1 \
+               $(1)/lib/firmware/ath10k/QCA988X/hw2.0/firmware-2.bin
 else
        $(INSTALL_DATA) \
                $(PKG_BUILD_DIR)/$(PKG_ATH10K_LINUX_FIRMWARE_SUBDIR)/10.2.4/firmware-4.bin_10.2.4.45 \